Bug 595980 - [abrt] crash in gpodder-2.5-1.fc13: gui.py:2088:play_or_download:TypeError: unknown type (null)
Summary: [abrt] crash in gpodder-2.5-1.fc13: gui.py:2088:play_or_download:TypeError: u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d79691a3
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 03:29 UTC by Ehud Kaldor
Modified: 2010-06-14 17:10 UTC (History)
5 users (show)

Fixed In Version: gpodder-2.6-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-14 17:10:26 UTC


Attachments (Terms of Use)
File: backtrace (918 bytes, text/plain)
2010-05-26 03:29 UTC, Ehud Kaldor
no flags Details

Description Ehud Kaldor 2010-05-26 03:29:19 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gpodder
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.33.4-95.fc13.i686
package: gpodder-2.5-1.fc13
reason: gui.py:2088:play_or_download:TypeError: unknown type (null)
release: Fedora release 13 (Goddard)

backtrace
-----
gui.py:2088:play_or_download:TypeError: unknown type (null)

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gpodder/gui.py", line 947, in <lambda>
    selection.connect('changed', lambda s: self.play_or_download())
  File "/usr/lib/python2.6/site-packages/gpodder/gui.py", line 2088, in play_or_download
    episode = model.get_value(model.get_iter(path), EpisodeListModel.C_EPISODE)
TypeError: unknown type (null)

Local variables in innermost frame:
paths: [(0,), (2,), (3,), (4,), (5,), (6,), (7,), (8,)]
selection: <gtk.TreeSelection object at 0xb106d694 (GtkTreeSelection at 0x9592ce0)>
can_delete: False
is_locked: False
self: <gpodder.gui.gPodder at /gui at 0x8c0bc2c>
can_download: False
can_play: False
can_cancel: False
open_instead_of_play: False
can_transfer: False
path: (0,)
model: <gtk.TreeModelFilter object at 0x9514c84 (GtkTreeModelFilter at 0x9614038)>
is_played: False

Comment 1 Ehud Kaldor 2010-05-26 03:29:20 UTC
Created attachment 416623 [details]
File: backtrace

Comment 2 Ville-Pekka Vainio 2010-05-26 09:09:03 UTC
Reported upstream: https://bugs.gpodder.org/show_bug.cgi?id=934

Comment 3 hackob 2010-05-26 13:05:28 UTC
Package: gpodder-2.5-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Add a new podcast
2. Cancel suscription after it ends
3.

Comment 4 Jef Spaleta 2010-05-26 19:20:06 UTC
(In reply to comment #3)

hackob,

I'm having trouble reproducing this.  I'd like you to try to reproduce this again but taking more detailed notes on the actions you take... including which podcast you've downloaded.  And please try this again with the gpodder 2.6 in updates-testing as soon as you get the chance.


-jef

Comment 5 Fedora Update System 2010-05-28 19:43:47 UTC
gpodder-2.6-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gpodder-2.6-5.fc13

Comment 6 Kerry 2010-05-30 20:43:02 UTC
Package: gpodder-2.5-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
The application didn't actually crash. But abrt popped up towards the end of the check for updates process.

Comment 7 Fedora Update System 2010-05-31 18:22:15 UTC
gpodder-2.6-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpodder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gpodder-2.6-6.fc13

Comment 8 Fedora Update System 2010-06-07 22:27:29 UTC
gpodder-2.6-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpodder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gpodder-2.6-7.fc13

Comment 9 David M. 2010-06-11 18:13:14 UTC
Package: gpodder-2.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Gpodder was just running minimized
2.
3.


Comment
-----
about 5 minutes after I downloaded a bunch of mp3's.

Comment 10 David M. 2010-06-11 18:23:35 UTC
Package: gpodder-2.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Gpodder was just running minimized
2.
3.


Comment
-----
about 5 minutes after I downloaded a bunch of mp3's.

Comment 11 Fedora Update System 2010-06-14 17:10:06 UTC
gpodder-2.6-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.